Package org.apache.avro.util

# Class ReusableByteArrayInputStream

java.lang.Object
java.io.InputStream
java.io.ByteArrayInputStream
org.apache.avro.util.ReusableByteArrayInputStream

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

public class ReusableByteArrayInputStream extends ByteArrayInputStream

## Field Summary

### Fields inherited from class java.io.ByteArrayInputStream

`buf, count, mark, pos`

## Constructor Summary

Constructors
Constructor
Description
`ReusableByteArrayInputStream()`

## Method Summary

Modifier and Type
Method
Description
`void`
`setByteArray(byte[] buf, int offset, int length)`

### Methods inherited from class java.io.ByteArrayInputStream

`available, close, mark, markSupported, read, read, readAllBytes, readNBytes, reset, skip, transferTo`

### Methods inherited from class java.io.InputStream

`nullInputStream, read, readNBytes`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ReusableByteArrayInputStream

public ReusableByteArrayInputStream()

## Method Details

### setByteArray

public void setByteArray(byte[] buf, int offset, int length)